Bug 691477 - sosreport does not include lsusb output
sosreport does not include lsusb output
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos (Show other bugs)
6.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Keith Robertson
David Kutálek
:
Depends On: 736739
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-28 12:28 EDT by Marko Myllynen
Modified: 2016-07-03 21:33 EDT (History)
9 users (show)

See Also:
Fixed In Version: sos-2.2-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 13:10:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2011-03-28 12:28:28 EDT
Description of problem:
sosreport does not contain lsusb or any other USB related information - now with USB 3 going from Tech Preview to Supported in RHEL 6.1 the need for this information will come more and more relevant.

Version-Release number of selected component (if applicable):
sos-2.2-2.el6.noarch
Comment 4 Bryn M. Reeves 2011-03-28 12:43:04 EDT
Thanks for filing the bug, you're right; we have /proc/bus/usb right now and
that is about it..

Adding lsusb output is very straightforward. Would you want it called with any
particular options, e.g. we run lspci with:

/sbin/lspci
/sbin/lspci -nvv
/sbin/lspci -tv

(I'm not suggesting lspci from hardware.py is a good model to follow but we can
run with specific options if they provide data that may be required)
Comment 5 Marko Myllynen 2011-03-28 16:37:54 EDT
> Adding lsusb output is very straightforward. Would you want it called with any
> particular options

I'd say lsusb -v.

Thanks.
Comment 6 CAI Qian 2011-03-28 21:51:42 EDT
I think bascially there is a need for topology information like,
# lsusb -t

The upstream usbutils contained a tool called lsusb.py which can give more information (speed, USB 3.0 hub identifier etc) considering the following output diffs from lsusb.

# ./lsusb.py 
usb1            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (ehci_hcd 0000:00:1a.7) hub
usb2            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (ehci_hcd 0000:00:1d.7) hub
usb3            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1a.0) hub
usb4            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1a.1) hub
usb5            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.0) hub
 5-2            04b3:4010 02  2.00  12MBit/s 100mA 2IFs (IBM RNDIS/CDC ETHER)
usb6            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.1) hub
usb7            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.2) hub
 7-1            046d:08af ff  1.10  12MBit/s 100mA 1IFs (Logitech, Inc. QuickCam Easy/Cool)
 7-2            0624:0307 00  1.10 1.5MBit/s 100mA 2IFs (Avocent Avocent DSRIQ-USB)
usb8            1d6b:0003 09  3.005000MBit/s   0mA 1IFs (xhci_hcd 0000:1a:00.0) hub
 8-1            2109:0810 09  3.005000MBit/s   2mA 1IFs (VIA Labs, Inc. 4-Port USB 3.0 Hub) hub
 8-2            1058:1123 00  3.005000MBit/s   2mA 1IFs (Western Digital My Book 3.0 574341545230383135353130)
 8-3            2109:3431 09  2.00 480MBit/s 100mA 1IFs () hub
  8-3.2         17ef:3838 00  2.00 480MBit/s 100mA 1IFs (SMI Corporation USB DISK AA04012700007754)
  8-3.3         05e3:0608 09  2.00 480MBit/s 100mA 1IFs (Genesys Logic, Inc. USB-2.0 4-Port HUB) hub
   8-3.3.4      041e:4120 00  2.00 480MBit/s 100mA 1IFs (CREATIVE MuVo TX FM 0002F5A7BD3A899D)

# lsusb
Bus 008 Device 007: ID 041e:4120 Creative Technology, Ltd Nomad MuVo TX FM
Bus 008 Device 006: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Bus 008 Device 005: ID 17ef:3838 Lenovo 
Bus 008 Device 004: ID 2109:3431  
Bus 008 Device 003: ID 1058:1123 Western Digital Technologies, Inc. 
Bus 008 Device 002: ID 2109:0810  
Bus 008 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 007 Device 003: ID 0624:0307 Avocent Corp. 
Bus 007 Device 002: ID 046d:08af Logitech, Inc. QuickCam Easy/Cool
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 04b3:4010 IBM Corp. 
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

It is more powerful to when using -I which can show you the topology info.

# ./lsusb.py -I
usb1            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (ehci_hcd 0000:00:1a.7)
 1-0:1.0        (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
usb2            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (ehci_hcd 0000:00:1d.7)
 2-0:1.0        (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
usb3            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1a.0)
 3-0:1.0        (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
usb4            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1a.1)
 4-0:1.0        (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
usb5            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.0)
 5-0:1.0        (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
 5-2            04b3:4010 02  2.00  12MBit/s 100mA 2IFs (IBM RNDIS/CDC ETHER)
  5-2:1.0       (IF) 02:06:00 1EPs (Communications:Ethernet Networking) cdc_ether net/usb0 
  5-2:1.1       (IF) 0a:00:00 2EPs (CDC Data:) cdc_ether 
usb6            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.1)
 6-0:1.0        (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
usb7            1d6b:0001 09  1.10  12MBit/s   0mA 1IFs (uhci_hcd 0000:00:1d.2)
 7-0:1.0        (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
 7-1            046d:08af ff  1.10  12MBit/s 100mA 1IFs (Logitech, Inc. QuickCam Easy/Cool)
  7-1:1.0       (IF) ff:ff:ff 2EPs (Vendor Specific) zc3xx video4linux/video0 
 7-2            0624:0307 00  1.10 1.5MBit/s 100mA 2IFs (Avocent Avocent DSRIQ-USB)
  7-2:1.0       (IF) 03:01:01 1EPs (Human Interface Device:Boot Interface Subclass:Keyboard) usbhid input/input2 
  7-2:1.1       (IF) 03:01:02 1EPs (Human Interface Device:Boot Interface Subclass:Mouse) usbhid input/input3 
usb8            1d6b:0003 09  3.005000MBit/s   0mA 1IFs (xhci_hcd 0000:1a:00.0)
 8-0:1.0        (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
 8-1            2109:0810 09  3.005000MBit/s   2mA 1IFs (VIA Labs, Inc. 4-Port USB 3.0 Hub)
  8-1:1.0       (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub)  
 8-2            1058:1123 00  3.005000MBit/s   2mA 1IFs (Western Digital My Book 3.0 574341545230383135353130)
  8-2:1.0       (IF) 08:06:50 2EPs (Mass Storage:SCSI:Bulk (Zip)) usb-storage host5 (sdb)
 8-3            2109:3431 09  2.00 480MBit/s 100mA 1IFs ()
  8-3:1.0       (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
  8-3.2         17ef:3838 00  2.00 480MBit/s 100mA 1IFs (SMI Corporation USB DISK AA04012700007754)
   8-3.2:1.0    (IF) 08:06:50 2EPs (Mass Storage:SCSI:Bulk (Zip)) usb-storage host6 (sdc)
  8-3.3         05e3:0608 09  2.00 480MBit/s 100mA 1IFs (Genesys Logic, Inc. USB-2.0 4-Port HUB)
   8-3.3:1.0    (IF) 09:00:00 1EPs (Hub::Full speed (or root) hub) hub 
   8-3.3.4      041e:4120 00  2.00 480MBit/s 100mA 1IFs (CREATIVE MuVo TX FM 0002F5A7BD3A899D)
    8-3.3.4:1.0 (IF) 08:06:50 2EPs (Mass Storage:SCSI:Bulk (Zip)) usb-storage host7 (sdd)
Comment 7 RHEL Product and Program Management 2011-04-03 21:55:22 EDT
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 8 Bryn M. Reeves 2011-08-12 16:17:04 EDT
The hardware plugin already has a call to collect lsusb but for some reason it's not working as released. I'll fix that and add -v and -t for now - we can consider incorporating or calling out to lsusb.py in a later release.
Comment 16 Bryn M. Reeves 2011-09-23 11:16:30 EDT
sos-2.2-16.el6 and later will use either path
Comment 19 errata-xmlrpc 2011-12-06 13:10:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1536.html

Note You need to log in before you can comment on or make changes to this bug.